#
# IDS Server Oracle Interface Link File
#

SHELL=/bin/sh

all: db_ora-sh.so db_ora8-sh.so
	@if [ -L db_ora.so ] ; then \
		rm db_ora.so ; \
	elif [ -f db_ora.so ] ; then \
		mv db_ora.so db_ora.so-old ; \
	fi ;
	ln -s db_ora-sh.so db_ora.so
	@if [ -L db_ora8.so ] ; then \
		rm db_ora8.so ; \
	elif [ -f db_ora8.so ] ; then \
		mv db_ora8.so db_ora8.so-old ; \
	fi ;
	ln -s db_ora8-sh.so db_ora8.so

include $(ORACLE_HOME)/rdbms/lib/env_rdbms.mk

# Libraries for linking oci programs
OCILIBS_ST=$(DEF_ON) $(SSDBED) $(STATICTTLIBS)

# IDS Server objects and libraries
LIBS = -lpthread -ldl
DEPS = db_ora-r.o
DEP8 = db_ora8-r.o

ECHO = $(ORACLE_HOME)/bin/echodo

# Link with $ORACLE_HOME/lib/libclntsh.so (default)
db_ora-sh.so: $(DEPS)
	@if [ -f $(ORACLE_HOME)/lib/libclntsh.so.1.0 ] ; then \
	  $(ECHO) $(LD) $(SHARED_LDFLAG) $@ $(DEPS) $(LIBS) $(TTLIBS) ; \
	else \
	  $(ECHO) $(LD) $(SHARED_LDFLAG) $@ $(DEPS) $(LIBS) $(LLIBCLNTSH) ; \
	fi ; \

db_ora8-sh.so: $(DEP8)
	@if [ -f $(ORACLE_HOME)/lib/libclntsh.so.1.0 ] ; then \
	  $(ECHO) $(LD) $(SHARED_LDFLAG) $@ $(DEP8) $(LIBS) $(TTLIBS) ; \
	else \
	  $(ECHO) $(LD) $(SHARED_LDFLAG) $@ $(DEP8) $(LIBS) $(LLIBCLNTSH) ; \
	fi ; \

# Static link with OCI libraries
db_ora-st.so: $(DEPS)
	$(LD) $(SHARED_LDFLAG) $@ $(DEPS) $(LIBS) $(OCILIBS_ST)

db_ora8-st.so: $(DEP8)
	$(LD) $(SHARED_LDFLAG) $@ $(DEP8) $(LIBS) $(OCILIBS_ST)

